io.netty.handler.codec.xml

## Class XmlNamespace

- java.lang.Object
- - io.netty.handler.codec.xml.XmlNamespace

    public class XmlNamespace
    extends Object

XML namespace is part of XML element.

### Constructor Summary

Constructors
Constructor and Description
`XmlNamespace(String prefix, String uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `prefix()`
`String` `toString()`
`String` `uri()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlNamespace

    public XmlNamespace(String prefix,
                        String uri)

### Method Detail

#### prefix

    public String prefix()

#### uri

    public String uri()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`